package com.ruoyi.system.domain.enums;

/**
 * @ClassName: ElectronicFenceEnum
 * @Author: 于学智
 * @Description: 高德围栏类型
 * @CreateDate: 2023/9/14 9:37
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public enum ElectronicFenceEnum {
    /**
     * 围栏-圆形
     */
    ELECTRONIC_FENCE_CIRCLE(0, "圆形围栏"),
    /**
     * 围栏-多边形围栏
     */
    ELECTRONIC_FENCE_POLYGON(1, "多边形围栏"),
    /**
     * 围栏-线形围栏
     */
    ELECTRONIC_FENCE_POLYLINE(2, "线形围栏"),
    /**
     * 围栏-行政区划围栏
     */
    ELECTRONIC_FENCE_DISTRICT(2, "行政区划围栏");
    private final int key;

    private final String value;

    ElectronicFenceEnum(int key, String value) {
        this.key = key;
        this.value = value;
    }

    public int getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }
}
